# gpush

`gpush` is a command line utility for standardising commit messages using [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/).

# Installation

This package is available for installation via pypi

```
pip3 install gpush
```

# Configuration

To start using gpush, run the following (update as required if you do not use zsh)

```
echo "alias gpush=\"python3 -m gpush\"" >> ~/.zshrc
```

To start using straight away, source your file

```
source ~/.zshrc
```

# Usage

When running gpush in a git directory, use `gpush` to replace your standard `git commit && git push` commands. `gpush` will ask three questions to determine detail about your commit and generate a conventionally formatted git commit message.

!["gpush_demo"](docs/gpush_demo.gif)

# python-semantic-release

`gpush` generates commit messages that are compliant with [python-semantic-release](https://python-semantic-release.readthedocs.io/en/latest/). See example in the [GitHub Repository](https://github.com/tjtharrison/gpush/blob/main/.github/workflows/semver.yaml)
